
Redmine - Defect #12350

NoMethodError (undefined method `_[...]_callbacks'

2012-11-12 16:35 - Carl Fürstenberg

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.1.2

Description

When trying to create a issue with a target version, I'm getting internal server error with following log:

  Rendered mailer/_issue.text.erb (2.4ms)

  Rendered mailer/issue_add.text.erb within layouts/mailer (16585.7ms)

  Setting Load (0.2ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'emails_head

er' LIMIT 1

  Setting Load (0.1ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'emails_foot

er' LIMIT 1

  Setting Load (0.1ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'plain_text_

mail' LIMIT 1

  Setting Load (0.1ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'text_format

ting' LIMIT 1

  Setting Load (0.1ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'cache_forma

tted_text' LIMIT 1

  Rendered mailer/_issue.html.erb (7.6ms)

  Rendered mailer/issue_add.html.erb within layouts/mailer (10.5ms)

  SQL (0.3ms)  SELECT `custom_values`.`id` AS t0_r0, `custom_values`.`customized_type` AS t0_r1, `

custom_values`.`customized_id` AS t0_r2, `custom_values`.`custom_field_id` AS t0_r3, `custom_value

s`.`value` AS t0_r4, `custom_fields`.`id` AS t1_r0, `custom_fields`.`type` AS t1_r1, `custom_field

s`.`name` AS t1_r2, `custom_fields`.`field_format` AS t1_r3, `custom_fields`.`possible_values` AS 

t1_r4, `custom_fields`.`regexp` AS t1_r5, `custom_fields`.`min_length` AS t1_r6, `custom_fields`.`

max_length` AS t1_r7, `custom_fields`.`is_required` AS t1_r8, `custom_fields`.`is_for_all` AS t1_r

9, `custom_fields`.`is_filter` AS t1_r10, `custom_fields`.`position` AS t1_r11, `custom_fields`.`s

earchable` AS t1_r12, `custom_fields`.`default_value` AS t1_r13, `custom_fields`.`editable` AS t1_

r14, `custom_fields`.`visible` AS t1_r15, `custom_fields`.`multiple` AS t1_r16 FROM `custom_values

` LEFT OUTER JOIN `custom_fields` ON `custom_fields`.`id` = `custom_values`.`custom_field_id` WHER

E `custom_values`.`customized_id` = 402 AND `custom_values`.`customized_type` = 'Issue' ORDER BY c

ustom_fields.position

  IssueRelation Load (0.2ms)  SELECT `issue_relations`.* FROM `issue_relations` WHERE `issue_relat

ions`.`issue_from_id` = 402

   (0.1ms)  ROLLBACK

Completed 500 Internal Server Error in 18888ms

NoMethodError (undefined method `_[:before_create, :before_validation, :before_validation_on_creat

e, :before_validation_on_update, :before_save, :before_update, :before_destroy, :after_create, :af

ter_validation, :after_validation_on_create, :after_validation_on_update, :after_save, :after_upda

te, :after_destroy]_callbacks' for #<Class:0x00000004557630>):

  app/controllers/issues_controller.rb:137:in `create'

 It all works fine if I doesn't set target version

History

#1 - 2012-11-12 16:42 - Carl Fürstenberg

The issue is also present when trying to set a target version on a bug without a target version. In both cases, the target version is actually set and

when the target version is set, we can update it without any internal server error

#2 - 2012-11-12 18:35 - Jean-Philippe Lang

- Resolution set to Cant reproduce
#3 - 2012-11-14 08:40 - Kirill Kovalev

- Status changed from New to Resolved

Seems I have reproduced the same issue as far as error and stack trace look the same.

In my case the root cause was using this plugin

[[https://github.com/kulesa/redmine_better_gantt_chart/tree/redmine_2.0]]

with redmine stable-2.1

I have not checked what had been changed in issue callbacks from 2.0 to 2.1. But definitely it had.

#4 - 2012-11-14 09:37 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid
